SBND code - Bug #13113

sbnd_file_catalog_mc
07/06/2016 10:17 AM - Hector Mendez

Status: Closed Start date: 07/06/2016
Priority: Normal Due date:

Assignee: Gianluca Petrillo % Done: 0%
Category: Environment Estimated time: 0.00 hour

Target version:

First Occurred: Occurs In:

Description

Failed to parse the configuration file 'standard_reco_sbnd_basic.fcl' with exception

---- Parse error BEGIN

Local lookup error

---- Can't find key BEGIN

sbnd_file_catalog_mc (at part "sbnd_file_catalog_mc")

---- Can't find key END

at line 48, character 30, of file
"/sbnd/app/users/mendez/larsoft_v05_12_01/build_slIf6.x86_64/sbndcode/fcl/standard_reco_sbnd_basic.fcl"

FileCatalogMetadata: @local::sbnd_file_catalog_mc # from sam_sbnd.fcl

———— Parse error END

Art has completed and will exit with status 90.

History

#1 - 07/06/2016 11:19 AM - Gianluca Petrillo
- Category set to Environment
- Status changed from New to Resolved

- Assignee set to Gianluca Petrillo

Your feature branch seems not to be in sync with develop. In develop, a configuration file sbndcode/LArSoftConfigurations/sam_sbnd.fcl exists.

In your working area (source code) you have none, because your branch is not updated.

To make things more misleading, your install area does have a sam_sbnd.fcl, but it is outdated. This may happen if you mrb install'ed an older
version of develop, that had an outdated sam_sbnd.fcl, and then switched to your own branch, which has no sam_sbnd.fcl. Since mrb install does not
remove installed files, in your install area you still have files from the old develop.

Suggestion:
1. remove the ${MRB_INSTALL}/sbndcode directory, so that you are sure nothing outdated will be there

2. merge develop into your feature branch:

cd "${MRB_SOURCE}/sbndcode"

git fetch

git checkout feature/hmendez_myanalyzer
git merge origin/develop

mrb build -j4

This should push you forward - maybe even work.

#2 - 07/21/2016 01:24 PM - Gianluca Petrillo

- Status changed from Resolved to Closed
